Index: /palm/trunk/SCRIPTS/.palm.iofiles
===================================================================
--- /palm/trunk/SCRIPTS/.palm.iofiles	(revision 3420)
+++ /palm/trunk/SCRIPTS/.palm.iofiles	(revision 3421)
@@ -52,4 +52,7 @@
 LIST_PROFIL*               out:tr   *         $base_data/$run_identifier/MONITORING     _list_pr
 #
+SURFACE_DATA_BIN*          out:tr   *         $base_data/$run_identifier/OUTPUT         _surf      bin
+SURFACE_DATA_AV_BIN*       out:tr   *         $base_data/$run_identifier/OUTPUT         _av_surf   bin
+#
 DATA_1D_PR_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _pr        nc
 DATA_1D_SP_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _sp        nc
Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 3420)
+++ /palm/trunk/SOURCE/Makefile	(revision 3421)
@@ -25,4 +25,9 @@
 # -----------------
 # $Id$
+# Add netcdf_data_input_mod to netcdf_interface_mod
+# bugfix: add dependencies to chemistry_model_mod
+# Add module for surface data output
+# 
+# 3381 2018-10-19 13:09:06Z raasch
 # dependencies for ocean_mod fixed
 # 
@@ -611,4 +616,5 @@
 	surface_layer_fluxes_mod.f90 \
 	surface_mod.f90 \
+	surface_output_mod.f90 \
 	swap_timelevel.f90 \
 	synthetic_turbulence_generator_mod.f90 \
@@ -798,4 +804,5 @@
 	spectra_mod.o \
 	subsidence_mod.o \
+	surface_output_mod.o \
 	synthetic_turbulence_generator_mod.o \
 	turbulence_closure_mod.o \
@@ -1052,4 +1059,5 @@
 	surface_layer_fluxes_mod.o \
 	surface_mod.o \
+	surface_output_mod.o \
 	synthetic_turbulence_generator_mod.o \
 	turbulence_closure_mod.o \
@@ -1289,4 +1297,5 @@
 	mod_kinds.o \
 	modules.o \
+	netcdf_data_input_mod.o \
 	ocean_mod.o \
 	radiation_model_mod.o \
@@ -1358,4 +1367,5 @@
 	read_restart_data_mod.o \
 	spectra_mod.o \
+	surface_output_mod.o \
 	synthetic_turbulence_generator_mod.o \
 	turbulence_closure_mod.o \
@@ -1574,4 +1584,8 @@
 	mod_kinds.o \
 	modules.o
+surface_output_mod.o: \
+	mod_kinds.o \
+	modules.o \
+	surface_mod.o
 swap_timelevel.o: \
 	bulk_cloud_model_mod.o \
@@ -1625,4 +1639,5 @@
 	surface_layer_fluxes_mod.o \
 	surface_mod.o \
+	surface_output_mod.o \
 	synthetic_turbulence_generator_mod.o \
 	time_to_string.o \
Index: /palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/average_3d_data.f90	(revision 3420)
+++ /palm/trunk/SOURCE/average_3d_data.f90	(revision 3421)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed output variables
+! 
+! 3419 2018-10-24 17:27:31Z gronemeier
 ! (from resler branch)
 ! Add biometeorology output,
@@ -250,5 +253,5 @@
              ENDIF
 
-          CASE ( 'lpt' )
+          CASE ( 'thetal' )
              IF ( ALLOCATED( lpt_av ) ) THEN
                 DO  i = nxlg, nxrg
@@ -313,5 +316,5 @@
              ENDIF
 
-          CASE ( 'pt' )
+          CASE ( 'theta' )
              IF ( ALLOCATED( pt_av ) ) THEN
                 DO  i = nxlg, nxrg
@@ -463,5 +466,5 @@
              ENDIF
 
-          CASE ( 'u*' )
+          CASE ( 'us*' )
              IF ( ALLOCATED( us_av ) ) THEN
                 DO  i = nxlg, nxrg
@@ -484,5 +487,5 @@
              ENDIF
 
-          CASE ( 'vpt' )
+          CASE ( 'thetav' )
              IF ( ALLOCATED( vpt_av ) ) THEN
                 DO  i = nxlg, nxrg
Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 3420)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 3421)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Open files for surface data
+! 
+! 3399 2018-10-22 20:13:45Z gronemeier
 ! unused variables and format statements removed
 ! 
@@ -455,4 +458,17 @@
 
           ENDIF
+          
+       CASE ( 25 )
+!
+!--       Binary files for surface data
+          OPEN ( 25, FILE='SURFACE_DATA_BIN'//TRIM( coupling_char )//myid_char,  &
+                 FORM='UNFORMATTED', POSITION='APPEND' )
+
+       CASE ( 26 )
+!
+!--       Binary files for averaged surface data
+          OPEN ( 26, FILE='SURFACE_DATA_AV_BIN'//TRIM( coupling_char )//myid_char,  &
+                 FORM='UNFORMATTED', POSITION='APPEND' )
+       
 
        CASE ( 30 )
@@ -1131,4 +1147,5 @@
           ENDIF
 
+
 !
 !--    nc-file for virtual flight measurements
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 3420)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 3421)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Renamed output variables
+! Add checks for surface data output
+! 
+! 3419 2018-10-24 17:27:31Z gronemeier
 ! Remove offline nesting in if clause for pressure top boundary condition
 ! 
@@ -777,4 +781,7 @@
 
     USE statistics
+
+    USE surface_output_mod,                                                    &
+        ONLY:  surface_output_check_parameters
 
     USE synthetic_turbulence_generator_mod,                                    &
@@ -1494,4 +1501,7 @@
     IF ( urban_surface )        CALL usm_check_parameters
     IF ( wind_turbine )         CALL wtm_check_parameters
+!
+!-- Checks for surface data output
+    IF ( surface_data_output )  CALL surface_output_check_parameters
 
 !
@@ -2363,5 +2373,5 @@
              hom(:,2,3,:)  = SPREAD( zw, 2, statistic_regions+1 )
 
-          CASE ( 'pt', '#pt' )
+          CASE ( 'theta', '#theta' )
              IF ( .NOT. bulk_cloud_model ) THEN
                 dopr_index(i) = 4
@@ -2452,15 +2462,15 @@
              hom(:,2,15,:) = SPREAD( zw, 2, statistic_regions+1 )
 
-          CASE ( 'w"pt"' )
+          CASE ( 'w"theta"' )
              dopr_index(i) = 16
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,16,:) = SPREAD( zw, 2, statistic_regions+1 )
 
-          CASE ( 'w*pt*' )
+          CASE ( 'w*theta*' )
              dopr_index(i) = 17
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,17,:) = SPREAD( zw, 2, statistic_regions+1 )
 
-          CASE ( 'wpt' )
+          CASE ( 'wtheta' )
              dopr_index(i) = 18
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
@@ -2479,10 +2489,10 @@
              IF ( constant_flux_layer )  hom(nzb,2,20,:) = zu(1)
 
-          CASE ( 'w*pt*BC' )
+          CASE ( 'w*theta*BC' )
              dopr_index(i) = 21
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,21,:) = SPREAD( zw, 2, statistic_regions+1 )
 
-          CASE ( 'wptBC' )
+          CASE ( 'wthetaBC' )
              dopr_index(i) = 22
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
@@ -2504,5 +2514,5 @@
              hom(:,2,32,:) = SPREAD( zw, 2, statistic_regions+1 )
 
-          CASE ( 'pt*2' )
+          CASE ( 'theta*2' )
              dopr_index(i) = 33
              dopr_unit(i)  = 'K2'
@@ -2603,5 +2613,5 @@
              ENDIF
 
-          CASE ( 'lpt', '#lpt' )
+          CASE ( 'thetal', '#thetal' )
              IF ( .NOT. bulk_cloud_model ) THEN
                 message_string = 'data_output_pr = ' //                        &
@@ -2621,5 +2631,5 @@
              ENDIF
 
-          CASE ( 'vpt', '#vpt' )
+          CASE ( 'thetav', '#thetav' )
              dopr_index(i) = 44
              dopr_unit(i)  = 'K'
@@ -2632,15 +2642,15 @@
              ENDIF
 
-          CASE ( 'w"vpt"' )
+          CASE ( 'w"thetav"' )
              dopr_index(i) = 45
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,45,:) = SPREAD( zw, 2, statistic_regions+1 )
 
-          CASE ( 'w*vpt*' )
+          CASE ( 'w*thetav*' )
              dopr_index(i) = 46
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,46,:) = SPREAD( zw, 2, statistic_regions+1 )
 
-          CASE ( 'wvpt' )
+          CASE ( 'wthetav' )
              dopr_index(i) = 47
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
@@ -2798,30 +2808,30 @@
              hom(:,2,57,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'u"pt"' )
+          CASE ( 'u"theta"' )
              dopr_index(i) = 58
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,58,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'u*pt*' )
+          CASE ( 'u*theta*' )
              dopr_index(i) = 59
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,59,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'upt_t' )
+          CASE ( 'utheta_t' )
              dopr_index(i) = 60
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,60,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'v"pt"' )
+          CASE ( 'v"theta"' )
              dopr_index(i) = 61
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,61,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'v*pt*' )
+          CASE ( 'v*theta*' )
              dopr_index(i) = 62
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,62,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'vpt_t' )
+          CASE ( 'thetav_t' )
              dopr_index(i) = 63
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
@@ -2855,10 +2865,10 @@
              hom(:,2,72,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'rho_air' )
+          CASE ( 'rho' )
              dopr_index(i)  = 119
              dopr_unit(i)   = 'kg/m3'
              hom(:,2,119,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'rho_air_zw' )
+          CASE ( 'rho_zw' )
              dopr_index(i)  = 120
              dopr_unit(i)   = 'kg/m3'
@@ -3023,5 +3033,5 @@
              unit = 'm2/s2'
 
-          CASE ( 'lpt' )
+          CASE ( 'thetal' )
              IF (  .NOT.  bulk_cloud_model )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
@@ -3041,5 +3051,5 @@
              IF ( TRIM( var ) == 'pr' )  unit = 'm'
 
-          CASE ( 'q', 'vpt' )
+          CASE ( 'q', 'thetav' )
              IF (  .NOT.  humidity )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
@@ -3048,5 +3058,5 @@
              ENDIF
              IF ( TRIM( var ) == 'q'   )  unit = 'kg/kg'
-             IF ( TRIM( var ) == 'vpt' )  unit = 'K'
+             IF ( TRIM( var ) == 'thetav' )  unit = 'K'
 
           CASE ( 'ql' )
@@ -3084,7 +3094,7 @@
              unit = 'kg/m3'
 
-          CASE ( 'p', 'pt', 'u', 'v', 'w' )
+          CASE ( 'p', 'theta', 'u', 'v', 'w' )
              IF ( TRIM( var ) == 'p'  )  unit = 'Pa'
-             IF ( TRIM( var ) == 'pt' )  unit = 'K'
+             IF ( TRIM( var ) == 'theta' )  unit = 'K'
              IF ( TRIM( var ) == 'u'  )  unit = 'm/s'
              IF ( TRIM( var ) == 'v'  )  unit = 'm/s'
@@ -3093,5 +3103,5 @@
 
           CASE ( 'ghf*', 'lwp*', 'ol*', 'qsws*', 'r_a*',                       &
-                 'shf*', 'ssws*', 't*', 'tsurf*', 'u*', 'z0*', 'z0h*', 'z0q*' )
+                 'shf*', 'ssws*', 't*', 'tsurf*', 'us*', 'z0*', 'z0h*', 'z0q*' )
              IF ( k == 0  .OR.  data_output(i)(ilen-2:ilen) /= '_xy' )  THEN
                 message_string = 'illegal value for data_output: "' //         &
@@ -3141,5 +3151,5 @@
              IF ( TRIM( var ) == 't*'     )  unit = 'K'
              IF ( TRIM( var ) == 'tsurf*' )  unit = 'K'  
-             IF ( TRIM( var ) == 'u*'     )  unit = 'm/s'
+             IF ( TRIM( var ) == 'us*'    )  unit = 'm/s'
              IF ( TRIM( var ) == 'z0*'    )  unit = 'm'
              IF ( TRIM( var ) == 'z0h*'   )  unit = 'm'
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 3420)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 3421)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed output variables
+! 
+! 3419 2018-10-24 17:27:31Z gronemeier
 ! minor formatting (kanani)
 ! chem_data_output_2d subroutine added (basit)
@@ -562,5 +565,5 @@
                 IF ( mode == 'xy' )  level_z = zu
 
-             CASE ( 'lpt_xy', 'lpt_xz', 'lpt_yz' )
+             CASE ( 'thetal_xy', 'thetal_xz', 'thetal_yz' )
                 IF ( av == 0 )  THEN
                    to_be_resorted => pt
@@ -750,5 +753,5 @@
                 ENDIF
 
-             CASE ( 'pt_xy', 'pt_xz', 'pt_yz' )
+             CASE ( 'theta_xy', 'theta_xz', 'theta_yz' )
                 IF ( av == 0 )  THEN
                    IF ( .NOT. bulk_cloud_model ) THEN
@@ -1121,5 +1124,5 @@
                 ENDIF
 
-             CASE ( 'u*_xy' )        ! 2d-array
+             CASE ( 'us*_xy' )        ! 2d-array
                 IF ( av == 0 )  THEN
                    DO  m = 1, surf_def_h(0)%ns
@@ -1172,5 +1175,5 @@
                 ENDIF
 
-             CASE ( 'vpt_xy', 'vpt_xz', 'vpt_yz' )
+             CASE ( 'thetav_xy', 'thetav_xz', 'thetav_yz' )
                 IF ( av == 0 )  THEN
                    to_be_resorted => vpt
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 3420)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 3421)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed output variables
+! 
+! 3419 2018-10-24 17:27:31Z gronemeier
 ! bugfix: nx, ny are required in non-parallel case
 ! 
@@ -418,5 +421,5 @@
              ENDIF
 
-          CASE ( 'lpt' )
+          CASE ( 'thetal' )
              IF ( av == 0 )  THEN
                 to_be_resorted => pt
@@ -512,5 +515,5 @@
              ENDIF
 
-          CASE ( 'pt' )
+          CASE ( 'theta' )
              IF ( av == 0 )  THEN
                 IF ( .NOT. bulk_cloud_model ) THEN
@@ -671,5 +674,5 @@
              ENDIF
 
-          CASE ( 'vpt' )
+          CASE ( 'thetav' )
              IF ( av == 0 )  THEN
                 to_be_resorted => vpt
Index: /palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 3420)
+++ /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 3421)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed output variables
+! 
+! 3419 2018-10-24 17:27:31Z gronemeier
 ! Modularization of all bulk cloud physics code components
 ! 
@@ -337,5 +340,5 @@
                    ENDDO
 
-                CASE ( 'pt', 'pt_xy', 'pt_xz', 'pt_yz' )
+                CASE ( 'theta', 'theta_xy', 'theta_xz', 'theta_yz' )
                    IF ( .NOT. bulk_cloud_model ) THEN
                       DO  i = nxl_dvrp, nxr_dvrp+1
@@ -409,5 +412,5 @@
                    ENDIF
 
-                CASE ( 'u*_xy' )
+                CASE ( 'us*_xy' )
                    DO  i = nxl_dvrp, nxr_dvrp+1
                       DO  j = nys_dvrp, nyn_dvrp+1
Index: /palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_mask.f90	(revision 3420)
+++ /palm/trunk/SOURCE/data_output_mask.f90	(revision 3421)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed output variables
+! 
+! 3419 2018-10-24 17:27:31Z gronemeier
 ! Minor formatting (kanani)
 ! Call for chem_data_output_mask added (basit)
@@ -273,5 +276,5 @@
              ENDIF
 
-          CASE ( 'lpt' )
+          CASE ( 'thetal' )
              IF ( av == 0 )  THEN
                 to_be_resorted => pt
@@ -365,5 +368,5 @@
              ENDIF
 
-          CASE ( 'pt' )
+          CASE ( 'theta' )
              IF ( av == 0 )  THEN
                 IF ( .NOT. bulk_cloud_model ) THEN
@@ -481,5 +484,5 @@
              ENDIF
 
-          CASE ( 'rho_ocean' )
+          CASE ( 'rho_sea_water' )
              IF ( av == 0 )  THEN
                 to_be_resorted => rho_ocean
@@ -516,5 +519,5 @@
              ENDIF
 
-          CASE ( 'vpt' )
+          CASE ( 'thetav' )
              IF ( av == 0 )  THEN
                 to_be_resorted => vpt
@@ -531,4 +534,5 @@
 
           CASE DEFAULT
+
 !
 !--          Radiation quantity
Index: /palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_spectra.f90	(revision 3420)
+++ /palm/trunk/SOURCE/data_output_spectra.f90	(revision 3421)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed output variables
+! 
+! 3419 2018-10-24 17:27:31Z gronemeier
 ! Modularization of all bulk cloud physics code components
 ! 
@@ -179,5 +182,5 @@
                 pr = 3
 
-             CASE ( 'pt' )
+             CASE ( 'theta' )
                 pr = 4
 
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 3420)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 3421)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Initialize surface data output
+! 
+! 3415 2018-10-24 11:57:50Z suehring
 ! Set bottom boundary condition for geostrophic wind components in inifor
 ! initialization
@@ -625,4 +628,7 @@
         ONLY :  init_surface_arrays, init_surfaces, surf_def_h, surf_lsm_h,    &
                 surf_usm_h, get_topography_top_index_ji, vertical_surfaces_exist
+                
+    USE surface_output_mod,                                                    &
+        ONLY:  surface_output_init
    
     USE transpose_indices
@@ -2400,4 +2406,9 @@
        CALL gust_init( dots_label, dots_unit, dots_num, dots_max )
     ENDIF
+!
+!-- Initialize surface data output
+    IF ( surface_data_output )  THEN
+       CALL surface_output_init
+    ENDIF
 
 !
Index: /palm/trunk/SOURCE/init_masks.f90
===================================================================
--- /palm/trunk/SOURCE/init_masks.f90	(revision 3420)
+++ /palm/trunk/SOURCE/init_masks.f90	(revision 3421)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed output variables
+! 
+! 3419 2018-10-24 17:27:31Z gronemeier
 ! ocean renamed ocean_mode
 ! 
@@ -316,5 +319,5 @@
                 unit = 'm2/s2'
 
-             CASE ( 'lpt' )
+             CASE ( 'thetal' )
                 IF ( .NOT. bulk_cloud_model )  THEN
                    WRITE ( message_string, * ) 'output of "', TRIM( var ),     &
@@ -358,5 +361,5 @@
                 IF ( TRIM( var ) == 'pr' )  unit = 'm'
 
-             CASE ( 'q', 'vpt' )
+             CASE ( 'q', 'thetav' )
                 IF ( .NOT. humidity )  THEN
                    WRITE ( message_string, * ) 'output of "', TRIM( var ),     &
@@ -365,5 +368,5 @@
                 ENDIF
                 IF ( TRIM( var ) == 'q'   )  unit = 'kg/kg'
-                IF ( TRIM( var ) == 'vpt' )  unit = 'K'
+                IF ( TRIM( var ) == 'thetav' )  unit = 'K'
 
              CASE ( 'qc' )
@@ -414,5 +417,5 @@
                 unit = 'kg/kg'
 
-             CASE ( 'rho_ocean' )
+             CASE ( 'rho_sea_water' )
                 IF ( .NOT. ocean_mode )  THEN
                    WRITE ( message_string, * ) 'output of "', TRIM( var ),     &
@@ -438,5 +441,5 @@
                 unit = 'psu'
 
-             CASE ( 'u*', 't*', 'lwp*', 'pra*', 'prr*', 'z0*', 'z0h*' )
+             CASE ( 'us*', 't*', 'lwp*', 'pra*', 'prr*', 'z0*', 'z0h*' )
                 WRITE ( message_string, * ) 'illegal value for data_',         &
                      'output: "', TRIM( var ), '" is only allowed',            &
@@ -444,7 +447,7 @@
                 CALL message( 'init_masks', 'PA0111', 1, 2, 0, 6, 0 )
 
-             CASE ( 'p', 'pt', 'u', 'v', 'w' )
+             CASE ( 'p', 'theta', 'u', 'v', 'w' )
                 IF ( TRIM( var ) == 'p'  )  unit = 'Pa'
-                IF ( TRIM( var ) == 'pt' )  unit = 'K'
+                IF ( TRIM( var ) == 'theta' )  unit = 'K'
                 IF ( TRIM( var ) == 'u'  )  unit = 'm/s'
                 IF ( TRIM( var ) == 'v'  )  unit = 'm/s'
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 3420)
+++ /palm/trunk/SOURCE/modules.f90	(revision 3421)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Renamed output variables
+! +surface_data_output
+! 
+! 3355 2018-10-16 14:03:34Z knoop
 ! (from branch resler)
 ! Increase dimension of uv_heights etc.
@@ -1353,4 +1357,5 @@
     LOGICAL ::  sloping_surface = .FALSE.                        !< use sloped surface? (namelist parameter alpha_surface)
     LOGICAL ::  spinup = .FALSE.                                 !< perform model spinup without atmosphere code?
+    LOGICAL ::  surface_data_output = .FALSE.                    !< output of surface data
     LOGICAL ::  stop_dt = .FALSE.                                !< internal switch to stop the time stepping
     LOGICAL ::  synchronous_exchange = .FALSE.                   !< namelist parameter
@@ -2027,20 +2032,25 @@
     INTEGER(iwp), PARAMETER ::  crmax = 100  !< maximum number of coordinate systems for profile output
 
-    CHARACTER (LEN=20), DIMENSION(20) ::  cross_ts_profiles = &  !< time series to be plotted into one coordinate system, respectively
-                           (/ ' E E*               ', ' dt                 ', &
-                              ' u* w*              ', ' th*                ', &
-                              ' umax vmax wmax     ', ' div_old div_new    ', &
-                              ' z_i_wpt z_i_pt     ', ' w"pt"0 w"pt" wpt   ', &
-                              ' pt(0) pt(zp)       ', ' splux spluy spluz  ', &
-                              ' L                  ',                         &
-                            ( '                    ', i9 = 1, 9 ) /)
+    CHARACTER (LEN=27), DIMENSION(20) ::  cross_ts_profiles = &  !< time series to be plotted into one coordinate system, respectively
+                           (/ ' E E*                      ', &
+                              ' dt                        ', &
+                              ' u* w*                     ', &
+                              ' th*                       ', &
+                              ' umax vmax wmax            ', &
+                              ' div_old div_new           ', &
+                              ' zi_wtheta zi_theta        ', &
+                              ' w"theta"0 w"theta" wtheta ', &
+                              ' theta(0) theta(zp)        ', &
+                              ' splux spluy spluz         ', &
+                              ' L                         ', &
+                            ( '                           ', i9 = 1, 9 ) /)
 
     CHARACTER (LEN=100), DIMENSION(crmax) ::  cross_profiles = &  !< quantities to be plotted into one coordinate system, respectively
-                           (/ ' u v                           ', &
-                              ' pt                            ', &
-                              ' w"pt" w*pt* w*pt*BC wpt wptBC ', &
-                              ' w"u" w*u* wu w"v" w*v* wv     ', &
-                              ' km kh                         ', &
-                              ' l                             ', &
+                          (/ ' u v                                          ', &
+                             ' pt                                           ', &
+                             ' w"theta" w*theta* w*theta*BC wtheta wthetaBC ', &
+                             ' w"u" w*u* wu w"v" w*v* wv                    ', &
+                             ' km kh                                        ', &
+                             ' l                                            ', &
                          ( '                               ', i9 = 1, 94 ) /)
 
Index: /palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3420)
+++ /palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3421)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! add default values of origin_x/y/z
+! 
+! 3404 2018-10-23 13:29:11Z suehring
 ! Consider time-dependent geostrophic wind components in offline nesting
 ! 
@@ -328,17 +331,17 @@
        LOGICAL ::  from_file_w      = .FALSE. !< flag indicating whether w is already initialized from file
 
-       REAL(wp) ::  fill_msoil       !< fill value for soil moisture
-       REAL(wp) ::  fill_pt          !< fill value for pt
-       REAL(wp) ::  fill_q           !< fill value for q
-       REAL(wp) ::  fill_tsoil       !< fill value for soil temperature
-       REAL(wp) ::  fill_u           !< fill value for u
-       REAL(wp) ::  fill_v           !< fill value for v
-       REAL(wp) ::  fill_w           !< fill value for w
-       REAL(wp) ::  latitude         !< latitude of the southern model boundary
-       REAL(wp) ::  longitude        !< longitude of the western model boundary
-       REAL(wp) ::  origin_x         !< x position of the western model boundary
-       REAL(wp) ::  origin_y         !< y position of the northern model boundary
-       REAL(wp) ::  origin_z         !< reference height of input data
-       REAL(wp) ::  rotation_angle   !< rotation angle of input data
+       REAL(wp) ::  fill_msoil              !< fill value for soil moisture
+       REAL(wp) ::  fill_pt                 !< fill value for pt
+       REAL(wp) ::  fill_q                  !< fill value for q
+       REAL(wp) ::  fill_tsoil              !< fill value for soil temperature
+       REAL(wp) ::  fill_u                  !< fill value for u
+       REAL(wp) ::  fill_v                  !< fill value for v
+       REAL(wp) ::  fill_w                  !< fill value for w
+       REAL(wp) ::  latitude                !< latitude of the southern model boundary
+       REAL(wp) ::  longitude               !< longitude of the western model boundary
+       REAL(wp) ::  origin_x = 0.0_wp       !< x position of the western model boundary (default: Hannover)
+       REAL(wp) ::  origin_y = 0.0_wp       !< y position of the northern model boundary (default: Hannover)
+       REAL(wp) ::  origin_z = 0.0_wp       !< reference height of input data (default: Hannover)
+       REAL(wp) ::  rotation_angle = 0.0_wp !< rotation angle of input data
 
        REAL(wp), DIMENSION(:), ALLOCATABLE ::  msoil_1d     !< initial vertical profile of soil moisture
